enum MasterKeysService {
  Allergies,
  HistoryFamily,
  HistoryMedical,
  HistorySocial,
  HistorySports,
  HistorySurgical,
  PhysicalExamination,
  AllergySeverity,
  physiotherapyGoals,
  DiagnosisCondition,
  DiagnosisType,
  ICD10,
  TemperatureMethods,
  Speciality,
  MedicationStrength,
  MedicationDuration,
  MedicationRoute,
  MedicationFrequency,
  MedicationDoseTime,
  MedicationIndications,

  AdmissionRequestType,
  DiagnosisSelectionType,
}

extension SelectedMasterKeysService on MasterKeysService {
  // ignore: missing_return
  int getMasterKeyService() {
    switch (this) {
      case MasterKeysService.Allergies:
        return 11;
        break;
      case MasterKeysService.HistoryFamily:
        return 36;
        break;
      case MasterKeysService.HistoryMedical:
        return 37;
        break;
      case MasterKeysService.HistorySocial:
        return 38;
        break;
      case MasterKeysService.HistorySports:
        return 39;
        break;
      case MasterKeysService.HistorySurgical:
        return 66;
        break;
      case MasterKeysService.PhysicalExamination:
        return 59;
        break;
      case MasterKeysService.AllergySeverity:
        return 55;
        break;
      case MasterKeysService.physiotherapyGoals:
        return 117;
        break;
      case MasterKeysService.DiagnosisCondition:
        return 34;
        break;
      case MasterKeysService.DiagnosisType:
        return 35;
        break;
      case MasterKeysService.ICD10:
        return 2500;
      case MasterKeysService.TemperatureMethods:
        return 2005;
      case MasterKeysService.Speciality:
        return 10;
      case MasterKeysService.MedicationStrength:
        return 2100;
        break;
      case MasterKeysService.MedicationDuration:
        return 118;
        break;
      case MasterKeysService.MedicationRoute:
        return 32;
        break;
      case MasterKeysService.MedicationFrequency:
        return 31;
        break;
      case MasterKeysService.MedicationDoseTime:
        return 30;
        break;
      case MasterKeysService.MedicationIndications:
        return 450;
      case MasterKeysService.AdmissionRequestType:
        return 2019;
        break;
      case MasterKeysService.DiagnosisSelectionType:
        return 2024;
        break;
    }
  }
}
